Fwd: glib 2.60.3 does not install libglib-2.0.la

Xavier Colmant zaz.colmant at free.fr
Mon Jul 15 11:26:34 UTC 2019


While trying to install librsvg, I got an error about missing file
libglib-2.0.la. I forced a rebuild of glib 2.60.3, but it did not
correct the problem. libglib-2.0.la is not packaged by glib 2.60.3

glib 2.58.3 from crux34 did contain the file.

Thanks, Xavier

[tail of librsvg.log]
....

     |
358 |             let enable_background = values.enable_background;
     |                 ^^^^^^^^^^^^^^^^^ help: consider prefixing with an 
underscore: `_enable_background`
     |
     = note: #[warn(unused_variables)] on by default

     Finished release [optimized + debuginfo] target(s) in 2m 26s
   CCLD     librsvg-2.la

*** Warning: Linking the shared library librsvg-2.la against the
*** static library 
/usr/ports/opt/librsvg/work/src/librsvg-2.44.14/target/release/librsvg_internals.a 
is not portable!
/usr/bin/grep: /usr/lib/libglib-2.0.la: No such file or directory
/bin/sed: can't read /usr/lib/libglib-2.0.la: No such file or directory
libtool:   error: '/usr/lib/libglib-2.0.la' is not a valid libtool 
archive
make[2]: *** [Makefile:1100: librsvg-2.la] Error 1
make[2]: Leaving directory 
'/usr/ports/opt/librsvg/work/src/librsvg-2.44.14'
make[1]: *** [Makefile:1438: all-recursive] Error 1
make[1]: Leaving directory 
'/usr/ports/opt/librsvg/work/src/librsvg-2.44.14'
make: *** [Makefile:931: all] Error 2
=======> ERROR: Building '/usr/ports/pkg/librsvg#2.44.14-1.pkg.tar.gz' 
failed.

-- 
Xavier


More information about the CRUX mailing list